import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';

import { MaterialModule } from 'packages/commons/material/material.module';
import { InputChipComponent } from './input-chip.component';

@NgModule({
  imports: [
    CommonModule,
    MaterialModule,
    RouterModule
  ],
  declarations: [
    InputChipComponent,
  ],
  exports: [
    InputChipComponent,
  ]
})
export class InputChipModule { }
