import { Component, OnInit, Input } from '@angular/core';

import { Language } from 'angular-l10n';

@Component({
  selector: 'of-menu-item',
  templateUrl: './menu-item.component.html',
  styleUrls: ['./menu-item.component.scss']
})
export class MenuItemComponent implements OnInit {

  @Input() menu;
  @Input() iconOnly: boolean;
  @Input() secondaryMenu = false;
  @Language() lang: string;

  constructor() { }

  ngOnInit() {
  }

  openLink() {
    this.menu.open = this.menu.open;
  }
  getHeight() {

    if (this.menu.open === false) {
      return '48px';
    } else {
      if (this.menu && this.menu.sub) {
        const height = (this.menu.sub.length * 56) + 56 + 'px';
        return height;
      }
    }
  }

  chechForChildMenu() {
    return (this.menu && this.menu.sub) ? true : false;
  }
}
